### Refine

Category

Import and Export

Function

"Refines" a grid or changes its element type.

Syntax

    refined = Refine(input, level);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | field to be "refined"
`level` | integer or string | 1 | level of refinement

Outputs

Name | Type | Description
--- | --- | ---
`refined` | field | "refined" input

Functional Details

This module resamples a grid at a finer resolution or changes the element type.

`input` | is the object to be refined. It must have "connections" or "faces."
`level` | specifies either the level or the type of refinement: an integer specifies the number of levels (in powers of 2) of refinement. New positions and connections are added, and any components that are position or connection dependent are interpolated linearly and placed in the output. For quads and triangles, one level of refinement increases the number of elements by a factor of 4, two levels by a factor of 16, and so on. For cubes and tetrahedra, one level of refinement increases the number of elements by a factor of 8, two levels by a factor of 64, and so on. a string has two values: "tetrahedra" refines cubes to tetrahedra; "triangles" refines quads or faces to triangles.

Components

All components in the input are propagated to the output. The "connections" component is modified.

Example Visual Programs

    ManipulateGroups.net

    SIMPLE/Refine.net

See Also

Reduce, Display

[ OpenDX Home at IBM | OpenDX.org ]